# @summary A short summary of the purpose of this class
#
# A description of what this class does
#
# @example
#   include users::sudousers
class users::sudousers {
    # leave current sudo config as it is, and 'append' to it.
    # since cloud-init might have added some lines
    class { 'sudo':
        purge               => false,
        config_file_replace => false,
    }

    tidy { "delete-all-cloud-init-sudo-generated-files":
        path    => "/etc/sudoers.d/",
        recurse => true,
        matches => [ '*-cloud-init-users' ],
    }

    sudo::conf { 'admins':
        ensure  => present,
        content => '%admin ALL=(ALL) NOPASSWD:ALL',
    }

    group { 'admin':
        ensure => 'present',
        system => true,
    }

    $facts['sudo_all_users'].each |String $user| {
        User{ $user:
           ensure => present,
           groups => ['admin'],
        }
    }
}
